#include "factory.h"
#include "xlib_cairo_window.h"
#include "shape_quad.h"
#include "png_cairo_window.h"
#include "shape_rect.h"

window* window_factory(const string& class_name,
		int x,int y ,const char* pc) {
	if (class_name=="xlib_window") return new xlib_cairo_window(x,y,pc);
	if (class_name=="png_window") return new png_cairo_window(x,y,pc);
	return 0;
}

shape* shape_factory(const string& class_name) {
	if (class_name=="quad") return new shape_quad();
	if (class_name=="rect") return new shape_rect();
	return 0;
}

