#include "factory.h"
#include <iostream>
using std::cin;
using std::istream;
shape* get_shape_type(istream& f){
	string s;
	int err=0;
	shape* ps=0;
	while(f>>s) {
		ps=shape_factory(s);
		if (ps ) break;
		err++;
	}
	return ps;
}
void fill_shape(shape* ps,istream& f){
	point p;
	f>>p.x>>p.y;
	while( ps->setPoint(p) ) f>>p.x>>p.y;
}

using std::cerr;
using std::endl;
#include <vector>
using std::vector;
int main() {
	string s="xlib_window";
	cin>>s;
	window* p=window_factory(s,400,500,"alpha");
	if (!p) cerr<<"wrong window type: "<<s<<endl,exit(1);
	typedef vector<shape*> vps;
	vps v;
	while(1) {
	shape* ps=get_shape_type(cin);
	if (!ps) break;
	v.push_back(ps);
	fill_shape(ps,cin);
	}
	for ( size_t i=0; i<v.size() ; i++ ) v[i]->draw(p);
	p->paint();
	delete p;
	for ( size_t i=0; i<v.size() ; i++ ) delete v[i];
        return 0;
}
