#ifndef shape_quad__HHH
#define shape_quad__HHH
#include "shape.h"

class shape_quad : public shape {
	static const size_t quad_size=4;
	point pp[quad_size];
	size_t i;
	int right,left,up,bottom;
	public:
	shape_quad(): i(0) ,right(max),left(min),up(max),bottom(min){}
	virtual point getEdge(int xdir,int ydir) ;
	virtual bool setPoint(const point& p);
	virtual void draw(window *w);
	//~shape_quad();
};

#endif
