#ifndef window_cairo__HH
#define window_cairo__HH

struct point {
	int x;
	int y;
	point(int a=0,int b=0) : x(a),y(b) { } ;
};
class window {
	public:
	virtual point current() =0 ;
	virtual void current(const point& p) = 0;
	virtual void line(const point& p) =0;
	virtual void paint()=0;
	virtual ~window() { }
};
#endif
