#include "png_cairo_window.h"

png_cairo_window::png_cairo_window(int x,int y,const char* pc):filename(pc){
	surface=cairo_image_surface_create(CAIRO_FORMAT_ARGB32,x,y);
	filename+=".png";
	cr=cairo_create(surface);
        cairo_set_source_rgb (cr, 0.0, 0.0, 1.0);
	cairo_set_line_width (cr, 2);
}
png_cairo_window::~png_cairo_window(){
	cairo_destroy(cr);
	cairo_surface_destroy(surface);
}
void png_cairo_window::paint(){
	cairo_surface_write_to_png( surface,filename.c_str());
}
