#ifndef shape__HHH
#define shape__HHH
#include "window.h"
#include <string>
using std::string;
struct shape_exc {
	string s;
	shape_exc(const string& ss):s(ss) {}
};
class shape {
	protected:
	static const int max=600;
	static const int min=-1;
	public:
	virtual point getEdge(int xdir,int ydir) =0;
	virtual bool setPoint(const point& p)=0;
	virtual void draw(window *w)=0;
	virtual ~shape() {}
};
#endif
